ActaParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
ActaParser Class Reference

the main class to read a Acta file More...

`#include <ActaParser.hxx>`

Inheritance diagram for ActaParser:

## Public Member Functions
| ActaParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~ActaParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
Vec2f | getPageLeftTop () const
| returns the page left top point ( in inches) More...
void | newPage (int number)
| adds a new page More...
shared_ptr< MWAWList > | getMainList ()
| returns a list to be used in the text More...
bool | createZones ()
| finds the different objects zones More...
bool | readRSRCZones ()
| read the resource fork zone More...
bool | readEndDataV3 ()
| read the end file data zones More...
void | sendHeaderFooter ()
| sends the header/footer data More...
bool | readPrintInfo (MWAWEntry const &entry)
| read a PrintInfo block ( PSET resource block ) More...
bool | readWindowPos (MWAWEntry const &entry)
| read the window position ( WSIZ resource block ) More...
bool | readLabel (MWAWEntry const &entry)
| read the label type More...
bool | readHFProperties (MWAWEntry const &entry)
| read the Header/Footer property (QHDR block) More...
bool | readOption (MWAWEntry const &entry)
| read the QOPT resource block (small print change ) More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< ActaParserInternal::State > | m_state
| the state More...
shared_ptr< ActaText > | m_textParser
| the text parser More...

## Friends
class | ActaParserInternal::SubDocument
class | ActaText

## Detailed Description

the main class to read a Acta file

## Constructor & Destructor Documentation

ActaParser::ActaParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

ActaParser::~ActaParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool ActaParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void ActaParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool ActaParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

shared_ptr< MWAWList > ActaParser::getMainList | ( |  | ) |
| protected

returns a list to be used in the text

Referenced by ActaText::sendMainText().

Vec2f ActaParser::getPageLeftTop | ( |  | ) | const
| protected

returns the page left top point ( in inches)

void ActaParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by ActaParser().

void ActaParser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by ActaText::sendTopic().

void ActaParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWTextParser.

bool ActaParser::readEndDataV3 | ( |  | ) |
| protected

read the end file data zones

Referenced by createZones().

bool ActaParser::readHFProperties | ( | MWAWEntry const & | entry | ) |
| protected

read the Header/Footer property (QHDR block)

Referenced by readRSRCZones().

bool ActaParser::readLabel | ( | MWAWEntry const & | entry | ) |
| protected

read the label type

Referenced by readRSRCZones().

bool ActaParser::readOption | ( | MWAWEntry const & | entry | ) |
| protected

read the QOPT resource block (small print change )

Referenced by readRSRCZones().

bool ActaParser::readPrintInfo | ( | MWAWEntry const & | entry | ) |
| protected

read a PrintInfo block ( PSET resource block )

Referenced by readRSRCZones().

bool ActaParser::readRSRCZones | ( |  | ) |
| protected

read the resource fork zone

Referenced by createZones().

bool ActaParser::readWindowPos | ( | MWAWEntry const & | entry | ) |
| protected

read the window position ( WSIZ resource block )

Referenced by readRSRCZones().

libmwaw::DebugFile & ActaParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by readHFProperties(), readLabel(), readOption(), readPrintInfo(), and readWindowPos().

MWAWInputStreamPtr ActaParser::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by readHFProperties(), readLabel(), readOption(), readPrintInfo(), and readWindowPos().

void ActaParser::sendHeaderFooter | ( |  | ) |
| protected

sends the header/footer data

## Friends And Related Function Documentation

friend class ActaParserInternal::SubDocument
| friend

friend class ActaText
| friend

Referenced by init().

## Member Data Documentation

shared_ptr<ActaParserInternal::State> ActaParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), getMainList(), getPageLeftTop(), init(), newPage(), readEndDataV3(), readHFProperties(), readLabel(), readRSRCZones(), and sendHeaderFooter().

shared_ptr<ActaText> ActaParser::m_textParser
| protected

the text parser

Referenced by createDocument(), createZones(), init(), and parse().

The documentation for this class was generated from the following files:

- ActaParser.hxx
- ActaParser.cxx